Bug 289703 - Warn when links does not lead where indicated
Summary: Warn when links does not lead where indicated
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-24 00:08 UTC by Roger Larsson
Modified: 2013-08-27 08:37 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Larsson 2011-12-24 00:08:58 UTC
Version:           unspecified (using KDE 4.6.5) 
OS:                Linux

Just got a HTLM mail pretending to be from paypal.com
<a href="http://abc.de">http://paypal.com</a>

These could immediately be detected as fraud attempts - human visible text does not match the actual reference. Another case that should warn
* Indicating encryption when there is none
<a href="http://got.it">https://got.it</a>
* Misleading destination
<a href="http://got.it/fooled">http://got.it/this/time</a>

One mismatch that should be OK
* More specifik link than 
<a href="http://site.co.uk/link3">http://site.co.uk</a>

Reproducible: Didn't try



Expected Results:  
I would like thise links to be marked with a warning sign/frame/background.
Comment 1 Laurent Montel 2011-12-24 13:10:41 UTC
It will be a good idea to implement it.
Will look at.
Comment 2 Laurent Montel 2013-07-29 07:50:19 UTC
Fixed in 4.11 (scam feature)
Comment 3 meyerm 2013-08-27 08:37:46 UTC
Hey, that's really cool! Thank you!

But please check out bug #324103 as this could lead to misunderstandings by people not being aware of technical details.